Bug 1198246 - Review Request: oflb-coval-fonts - Derivation of other free of charge fonts
Summary: Review Request: oflb-coval-fonts - Derivation of other free of charge fonts
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1187337 1197229 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-03 16:06 UTC by Carlos (Morel-Riquelme)
Modified: 2016-08-01 07:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-01 07:31:45 UTC


Attachments (Terms of Use)

Description Carlos (Morel-Riquelme) 2015-03-03 16:06:58 UTC
Spec URL: https://iddnna.fedorapeople.org/rpm/coval/oflb-coval-fonts.spec

SRPM URL: https://iddnna.fedorapeople.org/rpm/coval/oflb-coval-fonts-1.000-1.20150122.fc22.src.rpm

Description: Coval font is a derivated of sans serif with OFL license

Fedora Account System Username: iddnna

Comment 1 Parag AN(पराग) 2015-03-03 16:23:00 UTC
When the same package gets submitted for package review and previous one is already seen some action or underreview, we close new review as duplicate of old one.

Btw, you created new FAS account?? What happened to old FAS account empateinfinito?

*** This bug has been marked as a duplicate of bug 1187337 ***

Comment 2 Carlos (Morel-Riquelme) 2015-03-03 16:34:41 UTC
Hello parag, i have a new account because few days ago my laptop was stolen, and while i report my incident to the police well all my account was removed, my fas, gmail,twitter. 

For these reason a open a new review, this time my friend will be a check this. Then could you do reopen this review ? or remove all info with @empateinfinito ?


Thank Parag :)

Comment 3 Parag AN(पराग) 2015-03-03 16:53:46 UTC
Sorry to hear that. But I don't think you need to create new FAS account for this. You could have worked with Fedora infrastructure team by discussing your issue on #fedora-admin. You could have added new email id to existing FAS account once you got access with help of fedora-infra people.

I will open this and close all your existing requests created using old email id. 

Note: you still need to complete sponsorship process and start reviewing packages.

Comment 4 Parag AN(पराग) 2015-03-03 16:58:51 UTC
*** Bug 1187337 has been marked as a duplicate of this bug. ***

Comment 5 Parag AN(पराग) 2015-03-03 17:10:18 UTC
*** Bug 1197229 has been marked as a duplicate of this bug. ***

Comment 6 Paulo Andrade 2015-03-03 21:50:33 UTC
Hi Carlos. First I believe Parag instructions were all
correct, and Parag already knows a lot about fonts,
appdata, etc issues.

Also, I was looking at previous reviews, and your
reviews. I really would like some input from Parag
on this, as I do not want to step over, as Parag
was about to sponsor you.

Carlos, you change your accounts too fast, it is
hard to keep track of you :)

Since you asked me in a private email, I will help you;
and I understand you want to become a packager and
contribute :) the fact that you can talk to me in
spanish and understand me talking portuguese helps :)
But I need you to comment on the below issues; some are
actually to help me better help you :), as I maintain
mostly scientific/math packages in Fedora.

1) The prefix "oflb" prefix/foundry, can you comment
on it? Is it standard? Maybe it would be better named
breton-Coval-fonts ?

2) I believe you should use 0 as version, in case upstream
switches to a properly versioned release. That is, instead
of "Version: 1.00" have "Version: 0", and for release
can keep the same format, so that when rebuilding, bump
the leading "1".

3) Please give an explanation about the values, and why
choosing 63-oflb-coval.conf for fontconfig, I mean the
reason of choosing 63.

4) I do not like the idea of using fold to reformat the
license file. Please use only sed.

5) Your reviews were mostly asking for spelling corrections
due to rpmlint warnings. Unless it is really really wrong,
please ignore those warnings. You started using fedora-review
and setting mock options, etc, so, could trigger by yourself
a lot of different kinds of errors, that is good :)

6) I suggest adding "BuildRequires: appdata-tools"
to the spec, and in %install, run
"appstream-util validate coval.metainfo.xml"
or "validate-relax", that will cause it to pass.

Comment 7 Carlos (Morel-Riquelme) 2015-03-04 05:24:27 UTC
Thank Paulo, here are my answers

1) i use oflb prefix cuz the font is is published as "open font library" and parag recommend this. 

2) the version of package is equal to the metadata in the font, in my first revision my version was 0.1 or 1 , but parag tell me that is god idea respect the metadata in the font. so i just run ttname -a coval.otf

3) parag recommend use 63, now i can't remember the wiki link with the info, sorry

4)thank for the suggestion 

5) Now i nned lear about fedora review and how make a good reviews of other packages

6) Also run appstream-util over the font.xml, 
   but i add to the buildrequire appdata-tools


Thank Paulo :)

Comment 8 Parag AN(पराग) 2015-12-22 03:46:06 UTC
Carlos, 

   Have you get time to learn fedora-review usage? Have you done any package reviews already?

Comment 9 Parag AN(पराग) 2016-08-01 07:31:45 UTC
This looks like a DEADREVIEW. No progress happened in last one year.
Closing, reopen when you back with update here.


Note You need to log in before you can comment on or make changes to this bug.